Fixing various issues and re-tuning.

Change-Id: I8822fcf77cfa507788241c5bda98ef4741b284b4
diff --git a/tools/test/bin/onos-topo-cfg-all b/tools/test/bin/onos-topo-cfg-all
new file mode 100755
index 0000000..adf84c1
--- /dev/null
+++ b/tools/test/bin/onos-topo-cfg-all
@@ -0,0 +1,15 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# ONOS topology configuration uploader.
+# -----------------------------------------------------------------------------
+
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+
+nodes=$(env | sort | egrep "OC[0-9]+" | cut -d= -f2)
+
+for node in $nodes; do
+    printf "$node..."
+    onos-topo-cfg $node $1
+done
+printf "\n"